f
Warning: Cannot modify header information - headers already sent by (output started at /home/anderian/ftp/www_forum/db/mysql4.php:1) in /home/anderian/ftp/www_forum/includes/sessions.php on line 548

Warning: Cannot modify header information - headers already sent by (output started at /home/anderian/ftp/www_forum/db/mysql4.php:1) in /home/anderian/ftp/www_forum/includes/sessions.php on line 549

Warning: Cannot modify header information - headers already sent by (output started at /home/anderian/ftp/www_forum/db/mysql4.php:1) in /home/anderian/ftp/www_forum/includes/page_header.php on line 343
And-Tech :: Zobacz temat - AVRPROG MKII nie działa z AVR Studio 5.1 i wyżej

Strona korzysta z plików cookie w celu realizacji usług zgodnie z Politykš prywatnoœci.

Możesz okreœlić warunki przechowywania lub dostępu do cookie w Twojej przeglšdarce lub konfiguracji usługi.

And-Tech Strona Główna And-Tech
Forum firmy And-Tech

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj  AlbumAlbum  DownloadDownload

Poprzedni temat «» Następny temat
Przesunięty przez: And-Tech
Sro Kwi 04, 2012 5:02 pm
AVRPROG MKII nie działa z AVR Studio 5.1 i wyżej
Autor Wiadomość
sciento149 

Wiek: 35
Dołączył: 02 Kwi 2012
Posty: 3
Skąd: głogów
  Wysłany: Pon Kwi 02, 2012 9:01 am   AVRPROG MKII nie działa z AVR Studio 5.1 i wyżej

Witam

AVRPROG MKII zakupiony w AND-TECH-u jest wykrywany tylko w wersjach 4.XX oraz 5.0 - wersje 5.1 oraz 6.0 nie wykrywają programatora. Pisałem o problemie do AND-TECH-u, ale dostałem tylko zwrotną informacje, że mam zastosować sterowniki dostępne na stronie internetowej producenta.

Niestety instalacja AVR Jungo sciągnietego ze strony producenta nie pomogła - problem ten pojawia się na 5 komputerach jakie testowałem i nie jest to wina sterowników.

Czy ktoś miał podobne problemy? System to Windows XP SP3, firmware do AVR Studio wgrane ze strony producenta bezproblemowo.

Pozdrawiam i z góry dziękuję za pomoc
Ostatnio zmieniony przez piotr94 Sro Kwi 04, 2012 6:34 pm, w całości zmieniany 6 razy  
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
Wysłany: Pon Kwi 02, 2012 6:54 pm   

Hmm, z tego co widzę (osobiście nie testowałem pod nowszymi wersjami AVR Studio, bo od wersji 5.0 mnie mocno denerwuje pozmienianie wielu ustawień lub niemożliwość dobrania się do niektórych - jak definicja F_CPU w okienku) to chyba nowsze wersje AVR Studio nie dogadują się z firmware, który obecnie mamy. Przygotowałem na szybko kompilację najnowszego dostępnego firmware (załączam na forum) i proszę dać mi znać czy wgranie go (tak jak wgrywamy oryginalne firmware, tyle, że wskażemy plik hex załączony w poście) do programatora pomoże.
Pozdrawiam
PR

AVRISP-MKII_LUFA120219_build120402.zip
LUFA: 120219
BUILD: 120402
VERSION: AVRStudio
Pobierz Plik ściągnięto 796 raz(y) 9,8 KB

_________________
http://www.piotr94.net21.pl/
 
     
sciento149 

Wiek: 35
Dołączył: 02 Kwi 2012
Posty: 3
Skąd: głogów
Wysłany: Pon Kwi 02, 2012 7:02 pm   

Super, jutro dam znać co i jak...
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
Wysłany: Pon Kwi 02, 2012 7:58 pm   

Ponadto zawsze aktualne źródła firmware należy szukać tu: http://www.fourwalledcubicle.com/LUFA.php
_________________
http://www.piotr94.net21.pl/
 
     
sciento149 

Wiek: 35
Dołączył: 02 Kwi 2012
Posty: 3
Skąd: głogów
Wysłany: Wto Kwi 03, 2012 11:16 am   

witam

firmaware wgrane, programator jest widoczny nawet w wersji 6.0 AVR Studio - działa bez problemu.

Dziękuję i pozdrawiam
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
Wysłany: Wto Kwi 03, 2012 7:27 pm   

Witam,
cieszę się, że udało się rozwiązać problem, wkrótce informacje powinny znaleźć się na stronie.
Bardzo dziękujemy za raport o błędzie.
PR
_________________
http://www.piotr94.net21.pl/
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
  Wysłany: Sro Kwi 04, 2012 6:30 pm   

Na stronie oficjalna wiadomość o nowym firmware:
Cytat:

Nowy Firmware do programatora MK II
środa, 04 kwietnia 2012 14:50

Ukazał się nowy firmware do programatora MK II

Nowy Firmware umożliwia pracę programatora MK II z AVRStudio 5.1 oraz 6.X
W celu aktualizacji programatora proszę o zapoznanie się z instrukcją od strony 14.

Najnowszy firmware dostępny jest pod tym adresem:
Firmware dla AVRStudio
Firmware dla AVRDude
_________________
http://www.piotr94.net21.pl/
 
     
gorfag

Dołączył: 16 Lut 2010
Posty: 13
Wysłany: Pon Wrz 24, 2012 1:53 pm   

Witam,

Czy programator działa na systemie linux? Aktualnie korzystam z Eclipse pod Windowsem i chciałbym się w pełni przesiąść na Linuxa z całym środowiskiem programistycznym.

MP
 
     
markoz7874

Dołączył: 30 Mar 2013
Posty: 9
Wysłany: Sob Mar 30, 2013 10:39 am   

Witam
Wczoraj zainstalowalem atmelstudio 6.1.2440 i mam idntyczny problem z avrprog mkII. Aktualizacja firmware ze strony prodcenta wgrana.
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
Wysłany: Sob Mar 30, 2013 1:09 pm   

Zamieszczam najnowszy dostępny firmware.
http://forum.and-tech.pl/viewtopic.php?t=1398
_________________
http://www.piotr94.net21.pl/
Ostatnio zmieniony przez piotr94 Sob Mar 30, 2013 7:29 pm, w całości zmieniany 1 raz  
 
     
markoz7874

Dołączył: 30 Mar 2013
Posty: 9
Wysłany: Sob Mar 30, 2013 1:47 pm   

piotr94 napisał/a:
Zamieszczam najnowszy dostępny firmware.

W tej chwili Atmelstudio informuje o wersji 1.14(wczesniej byla 1.11) ale to nadal unuemozliwia progarmowanie(powinna byc 1.15).
Nie ma nowszej wersji?
W jaki sposob mozna samemu utworzyc nowy wsad? (jestem poczatkujacy)
 
     
piotr94 
Site Admin

Dołączył: 02 Lut 2010
Posty: 606
Skąd: Kraków
Wysłany: Sob Mar 30, 2013 7:28 pm   

Witam!
Jako początkującemu ciężko będzie Ci samemu skompilować poprawnie cały projekt.
Załączam skompilowany wsad ze sztucznie podniesioną wersją na 1.15.
Nowszej wersji autor projektu LUFA nie udostępnia jak na razie.
Proszę o informacje, czy zadziała.
Wsad:
http://forum.and-tech.pl/viewtopic.php?p=4124#4124
_________________
http://www.piotr94.net21.pl/
Ostatnio zmieniony przez piotr94 Czw Kwi 04, 2013 10:55 pm, w całości zmieniany 1 raz  
 
     
markoz7874

Dołączył: 30 Mar 2013
Posty: 9
Wysłany: Sob Mar 30, 2013 8:40 pm   

piotr94 napisał/a:
Witam!
Załączam skompilowany wsad ze sztucznie podniesioną wersją na 1.15.
Nowszej wersji autor projektu LUFA nie udostępnia jak na razie.
Proszę o informacje, czy zadziała.

Witam, nowy wsad zadziałał. Przynajmniej zaprogramowanie najprostszym możliwym programem - migające diody - działa :)
 
     
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Nie możesz załączać plików na tym forum
Możesz ściągać załączniki na tym forum
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group